SQLITE3_BIND_PARAMETER_INDEX(3) | Library Functions Manual | SQLITE3_BIND_PARAMETER_INDEX(3)

# NAME

sqlite3_bind_parameter_index — Index Of A Parameter With A Given Name

# SYNOPSIS

int
sqlite3_bind_parameter_index(sqlite3_stmt*, const char *zName);

# DESCRIPTION

Return the index of an SQL parameter given its name. The index value returned is suitable for use as the second parameter to sqlite3_bind(). A zero is returned if no matching parameter is found. The parameter name must be given in UTF-8 even if the original statement was prepared from UTF-16 text using sqlite3_prepare16_v2().

# SEE ALSO

sqlite3_bind_blob(3), sqlite3_bind_parameter_count(3), sqlite3_bind_parameter_name(3), sqlite3_prepare(3)

March 11, 2017 | NetBSD 8.2